Bug 1550991 - fallocate created data set is crossing storage reserve space limits resulting 100% brick full
Summary: fallocate created data set is crossing storage reserve space limits resulting...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: posix
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: RHGS 3.4.0
Assignee: Mohit Agrawal
QA Contact: Prasad Desala
URL:
Whiteboard:
Depends On:
Blocks: 1503137 1560411
TreeView+ depends on / blocked
 
Reported: 2018-03-02 13:54 UTC by Prasad Desala
Modified: 2018-09-07 06:31 UTC (History)
4 users (show)

Fixed In Version: glusterfs-3.12.2-8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1560411 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:44:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:45:12 UTC

Description Prasad Desala 2018-03-02 13:54:06 UTC
Description of problem:
=======================
fallocate created data set is crossing storage reserve space limits resulting 100% brick full.

Note: I created files using dd and the storage reserve space limits are respected as expected. 

Version-Release number of selected component (if applicable):
3.12.2-4.el7rhgs.x86_64

How reproducible:
=================
always

Steps to Reproduce:
===================
1) create a x3 volume and start it.
2) FUSE mount on a client and make a note of df -h output.
3) Set storage.reserve volume set option to 50,
gluster volume set distrepx3 storage.reserve 50
4) Using fallocate create data on the mount point,
for i in {1..10000};do fallocate -l 1G test_file$i.img;done

Actual results:
===============
fallocate created data set is crossing storage reserve space limits resulting 100% brick full.

Comment 9 Prasad Desala 2018-04-27 12:28:55 UTC
Verified this BZ on glusterfs version 3.12.2-8.el7rhgs.x86_64.

Now, fallocate is respecting storage.reserve limits. Hence, moving this BZ to Verified.

Comment 11 errata-xmlrpc 2018-09-04 06:44:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.